.header
  z-index 99
  width 100%
  left 0
  top 0
  position absolute
  padding 56px 0
  padding-bottom 0
  font-size 0
  transition background .3s

  &--relative
    position relative

  +fbp(sm)
    padding 30px 0

  +fbp(xs)
    padding 10px 0
    position fixed
    left 0
    top 0
    z-index 100
    background transparent
    border-bottom 1px solid rgba($primary, 0.4)

    &:not(.header--always-visible):not(.header--main)
      display none

    &.is-scroll
      background-color $white

.header.header--hide-lang
  .header-lang
    display none

.header:not(.header--white)
  .header-lang
    //&.expanded
    //  .select__open
    //    border-color rgba($primary, 1)
    //
    //    &:hover
    //      color $primary
    //      border-color $primary
    //
    a
      color $primary
      border-color rgba($primary, 0.5)

    //.select__open
    //  color $primary
    //  border-color rgba($primary, 0.5)
    //
    //.dropdown
    //  border-color rgba($primary, 01)
    //  background-color $white
    //
    //  .item
    //    color $primary
    //
    //    &:hover
    //      color $black

.header--main
  display none

  +fbp(xs)
    display block

.header__logo
  position relative
  z-index 1
  height 56px
  display block

  +fbp(xs)
    img:nth-child(1)
      display block !important

    img:nth-child(2)
      display none !important

    .header--white &
      img:nth-child(1)
        display none !important

      img:nth-child(2)
        display block !important

    .header--white.is-scroll &
      img:nth-child(1)
        display block !important

      img:nth-child(2)
        display none !important

.header__container
  display flex
  justify-content space-between
  align-items center
  +fbp(sm)
    max-width 1000px

.header-nav
  padding 20px 0
  line-height 1
  font-size 0

  +fbp(sm)
    padding 15px 0

  +fbp(xsAfter)
    display block !important

  +fbp(xs)
    padding 0
    position fixed
    width 100%
    height 100%
    left 0
    top 0
    background-color $white
    display flex
    flex-direction column
    justify-content center
    align-items center
    text-align center

.header-nav-list__item
  display inline-block
  vertical-align middle
  margin-right 70px

  &:last-child
    margin-right 0

  +fbp(sm)
    margin-right 25px

  +fbp(xs)
    display block
    margin 20px 0

.header-nav-list__link
  display inline-block
  font-weight 500
  font-size 16px
  line-height 1
  text-decoration none
  color $textColor
  transition color 0.3s

  &:hover
    color $primary

  +fbp(xs)
    font-size 30px

.header__center
  margin-right auto

.header-nav-toggle
  padding 0
  border 0
  outline 0
  background none
  display none
  width 40px
  height 30px
  position relative
  cursor pointer

  +fbp(xs)
    display inline-block
    vertical-align middle
    margin-left 20px

  span
    display block
    width 40px
    height 4px
    background-color $primary
    margin-bottom 8px
    transform-origin 0 0
    transition transform 0.3s

    &:last-child
      margin-bottom 0

  &.is-active
    span
      background $secondary !important

      &:nth-child(1)
        transform rotate(45deg) translateX(3px) translateY(-6px)

      &:nth-child(2)
        opacity 0

      &:nth-child(3)
        transform rotate(-45deg) translateX(4px) translateY(5px)
        transform-origin 0 100%

.header__right
  +fbp(xs)
    display flex
    align-items center

.header-lang
  position absolute
  right -1px
  top 64px

  a
    color $primary
    display inline-block
    text-transform uppercase
    border 1px solid rgba($primary, 0.5)
    padding 12px 21px 17px
    font-weight 500
    font-size 16px
    line-height 100%
    text-decoration none

  @media (max-width 1380px)
    position relative
    top 3px
    margin-left 10px

//  +fbp(xs)
//    &.expanded
//      .select__open
//        border-color rgba($primary, 1)
//
//        &:hover
//          color $primary
//          border-color $primary

    a
      color $primary
      border-color rgba($primary, 0.5)

//    .select__open
//      color $primary
//      border-color rgba($primary, 0.5)
//
//    .dropdown
//      border-color rgba($primary, 01)
//      background-color $white
//
//      .item
//        color $primary
//
//        &:hover
//          color $black

.header__auth-btn
  +fbp(xs)
    display none

.header--white:not(.is-scroll),
.header--hide-lang.header--white.is-scroll
  border-bottom-color $white

  .header-lang
    a
      color $white
      border-color rgba($white, 0.5)
  //  .select__open
  //    color $white
  //    border-color rgba($white, 0.5)
  //
  //    &:before
  //      border-right 2px solid $white
  //      border-bottom 2px solid $white
  //
  //  &.expanded
  //    .select__open
  //      border-color rgba($white, 1)
  //
  //      &:hover
  //        color $primary
  //        border-color $primary
  //
  //        &:before
  //          border-right 2px solid $primary
  //          border-bottom 2px solid $primary
  //
  //  .dropdown
  //    border-color rgba($white, 01)
  //    background-color $primary
  //
  //    .item
  //      color $white
  //
  //      &:hover
  //        color $black

  .header-nav-toggle
    span
      background $white

  +fbp(xsAfter)
    .header-nav-list__link
      color $white

      &:hover
        color $primary
